Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Plain View
Flume >> mail # dev >> Maven build of newer version Flume


+
Roshan Naik 2013-04-12, 05:07
Copy link to this message
-
Re: Maven build of newer version Flume
Roshan,

This is caused by: https://issues.apache.org/jira/browse/FLUME-1262. This is a known issue. We just need to move the doc generation to a different profile and make sure you call the profile after all others (like hadoop-2 profile) etc on the mvn command line.

Thanks,
Hari
--
Hari Shreedharan
On Thursday, April 11, 2013 at 10:07 PM, Roshan Naik wrote:

> Devs,
> I am bit stumped with this. If i were to change '1.3.1' in all the poms
> to say '1.3.2-SNAPSHOT' and then run a .. mvn clean install -DskipTests
>
> the aggregate-jar goal fails because the build step is not using the
> version just being built and instead trying to look for it in a
> local/remote repo.
>
> any clue why ? I am assuming something like this is done each time the
> project moves to a newer version/branch. or is it different ?
>
> -roshan
>
> Here is sampling of the output of the mvn clean install command...
>
>
> Downloading:
> http://repo1.maven.org/maven2/org/apache/flume/flume-ng-sdk/1.3.2-SNAPSHOT/maven-metadata.xml
> Downloading:
> http://repository.apache.org/snapshots/org/apache/flume/flume-ng-sdk/1.3.2-SNAPSHOT/maven-metadata.xml
> Downloading:
> http://repo1.maven.org/maven2/org/apache/flume/flume-ng-sdk/1.3.2-SNAPSHOT/flume-ng-sdk-1.3.2-SNAPSHOT.jar
> Downloading:
> http://repository.apache.org/snapshots/org/apache/flume/flume-ng-sdk/1.3.2-SNAPSHOT/flume-ng-sdk-1.3.2-SNAPSHOT.jar
> [WARNING] The following dependencies could not be resolved at this point of
> the build but seem to be part of the reactor:
> [WARNING] o org.apache.flume:flume-ng-sdk:jar:1.3.2-SNAPSHOT (compile)
> [WARNING] Try running the build up to the lifecycle phase "package"
> Downloading:
> http://repo1.maven.org/maven2/org/apache/flume/flume-ng-configuration/1.3.2-SNAPSHOT/maven-metadata.xml
> Downloading:
> http://repository.apache.org/snapshots/org/apache/flume/flume-ng-configuration/1.3.2-SNAPSHOT/maven-metadata.xml
> Downloading:
> http://repo1.maven.org/maven2/org/apache/flume/flume-ng-configuration/1.3.2-SNAPSHOT/flume-ng-configuration-1.3.2-SNAPSHOT.jar
> Downloading:
> http://repository.apache.org/snapshots/org/apache/flume/flume-ng-configuration/1.3.2-SNAPSHOT/flume-ng-configuration-1.3.2-SNAPSHOT.jar
> [WARNING] The following dependencies could not be resolved at this point of
> the build but seem to be part of the reactor:
> [WARNING] o org.apache.flume:flume-ng-sdk:jar:1.3.2-SNAPSHOT (compile)
> [WARNING] o org.apache.flume:flume-ng-configuration:jar:1.3.2-SNAPSHOT
> (compile)
> [WARNING] Try running the build up to the lifecycle phase "package"
>
>
> Then some more...
>
> Downloading:
> http://repo1.maven.org/maven2/org/apache/flume/flume-ng-sdk/1.3.2-SNAPSHOT/maven-metadata.xml
> Downloading:
> http://repository.apache.org/snapshots/org/apache/flume/flume-ng-sdk/1.3.2-SNAPSHOT/maven-metadata.xml
> Downloading:
> http://repo1.maven.org/maven2/org/apache/flume/flume-ng-sdk/1.3.2-SNAPSHOT/flume-ng-sdk-1.3.2-SNAPSHOT.jar
> Downloading:
> http://repository.apache.org/snapshots/org/apache/flume/flume-ng-sdk/1.3.2-SNAPSHOT/flume-ng-sdk-1.3.2-SNAPSHOT.jar
> [WARNING] The following dependencies could not be resolved at this point of
> the build but seem to be part of the reactor:
> [WARNING] o org.apache.flume:flume-ng-sdk:jar:1.3.2-SNAPSHOT (compile)
> [WARNING] Try running the build up to the lifecycle phase "package"
> Downloading:
> http://repo1.maven.org/maven2/org/apache/flume/flume-ng-configuration/1.3.2-SNAPSHOT/maven-metadata.xml
> Downloading:
> http://repository.apache.org/snapshots/org/apache/flume/flume-ng-configuration/1.3.2-SNAPSHOT/maven-metadata.xml
> Downloading:
> http://repo1.maven.org/maven2/org/apache/flume/flume-ng-configuration/1.3.2-SNAPSHOT/flume-ng-configuration-1.3.2-SNAPSHOT.jar
> Downloading:
> http://repository.apache.org/snapshots/org/apache/flume/flume-ng-configuration/1.3.2-SNAPSHOT/flume-ng-configuration-1.3.2-SNAPSHOT.jar
>
>
> continues.. now the aggregate-jar starts having some trouble...
>
>
> [INFO] --- maven-javadoc-plugin:2.8.1:aggregate-jar (javadoc-jar) @